/*
 * WebatorGUI.java
 *
 * Created on 22. duben 2006, 10:19
 */

package cz.vse.xkucf03.webator;

import java.awt.Cursor;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.swing.JOptionPane;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 *
 * @author  fiki
 *
 * CREATE TABLE stranka (id INTEGER PRIMARY KEY, nadpis VARCHAR, text VARCHAR);
 * CREATE TABLE parametry (nazev VARCHAR, hodnota VARCHAR);
 *
 *
 */
public class WebatorGUI extends javax.swing.JFrame {
    
    Connection spojeni;
    PreparedStatement celaTabulka;
    PreparedStatement jednaStranka;
    PreparedStatement vlozitStranku;
    PreparedStatement aktualizovatStranku;
    PreparedStatement smazatStranku;
    
    PreparedStatement smazatParametry;
    PreparedStatement vsechnyParametry;
    PreparedStatement ulozParametry;
    
    /** Creates new form WebatorGUI */
    public WebatorGUI() {
        initComponents();
        
        
        
        
        dataTabulka.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        
        dataTabulka.getSelectionModel().addListSelectionListener(new ListSelectionListener() {
            public void valueChanged(ListSelectionEvent e) {
                
                if (dataTabulka.getSelectedRow() != -1) {
                    Radka r = ((ModelTabulky)dataTabulka.getModel()).getRadka(dataTabulka.getSelectedRow());
                    nadpis.setText(r.nadpis);
                    poradi.setValue(new Integer(r.id));
                    text.setText(r.text);
                }
            }
        });
        
        
        try {
            //Vytvoříme spojení
            Class.forName("org.hsqldb.jdbcDriver" );
            spojeni = DriverManager.getConnection("jdbc:hsqldb:file:databaze", "sa", "");
            spojeni.setAutoCommit(true);
            
            //Připravíme si dotazy
            pripravDotazy();
            
            
            
        } catch (SQLException ex) {
            vytvorTabulky();
            ex.printStackTrace();
        } catch (ClassNotFoundException ex) {
            ex.printStackTrace();
        }
        
        nactiParametry();
        nactiTabulku();
        
        setLocationRelativeTo(null);
        setSize(640, 480);
        
    }
    
    
    
    private void pripravDotazy() throws SQLException {
        celaTabulka = spojeni.prepareStatement("SELECT * FROM stranka ORDER BY id ASC");
        jednaStranka = spojeni.prepareStatement("SELECT * FROM stranka WHERE id = ?");
        vlozitStranku = spojeni.prepareStatement("INSERT INTO stranka VALUES (?, ?, ?)");
        aktualizovatStranku = spojeni.prepareStatement("UPDATE stranka SET nadpis = ?, text = ? WHERE id = ?");
        smazatStranku = spojeni.prepareStatement("DELETE FROM stranka WHERE id = ?");
        
        smazatParametry = spojeni.prepareStatement("DELETE FROM parametry");
        vsechnyParametry = spojeni.prepareStatement("SELECT * FROM parametry");;
        ulozParametry = spojeni.prepareStatement("INSERT INTO parametry VALUES (?, ?)");
    }
    
    
    private void nactiTabulku() {
        try {
            dataTabulka.setModel(new ModelTabulky(celaTabulka.executeQuery()));
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        
    }
    
    private void vynulujPole() {
        poradi.setValue(new Integer(0));
        nadpis.setText("");
        text.setText("");
    }
    
    private void nactiParametry() {
        ResultSet p;
        try {
            p = vsechnyParametry.executeQuery();
            while (p.next()) {
                String promenna = p.getString(1);
                String hodnota = p.getString(2);
                
                if ("titulek".equals(promenna)) {
                    titulek.setText(hodnota);
                }
                if ("sablona".equals(promenna)) {
                    sablona.setText(hodnota);
                }
                if ("styl".equals(promenna)) {
                    styl.setText(hodnota);
                }
                if ("stylCSS".equals(promenna)) {
                    stylCSS.setText(hodnota);
                }
                if ("cesta".equals(promenna)) {
                    cesta.setText(hodnota);
                }
                if ("nazevSouboru".equals(promenna)) {
                    nazevSouboru.setText(hodnota);
                }
            }
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    private void ulozParametry() {
        try {
            
            //smažeme všechny staré
            smazatParametry.executeUpdate();
            
            //uložíme nové
            ulozParametry.setString(1, "titulek");
            ulozParametry.setString(2, titulek.getText());
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "sablona");
            ulozParametry.setString(2, sablona.getText());
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "styl");
            ulozParametry.setString(2, styl.getText());
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "stylCSS");
            ulozParametry.setString(2, stylCSS.getText());
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "cesta");
            ulozParametry.setString(2, cesta.getText());
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "nazevSouboru");
            ulozParametry.setString(2, nazevSouboru.getText());
            ulozParametry.executeUpdate();
            
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        
    }
    
    private void vytvorTabulky() {
        
        try {
            // zkusíme vytvořit tabulky
            spojeni.createStatement().executeUpdate("CREATE TABLE stranka (id INTEGER PRIMARY KEY, nadpis VARCHAR, text VARCHAR)");
            spojeni.createStatement().executeUpdate("CREATE TABLE parametry (nazev VARCHAR, hodnota VARCHAR)");
            
            // a vrazíme tam výchozí parametry
            nastavVychoziParametry();
            
        } catch (SQLException e) {
            e.printStackTrace();
        }
        
    }
    
    private void nastavVychoziParametry() {
        try {
            // připravíme si dotazy
            pripravDotazy();
            
            //smažeme všechny staré
            smazatParametry.executeUpdate();
            
            //uložíme nové
            ulozParametry.setString(1, "titulek");
            ulozParametry.setString(2, "Cestopis:");
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "sablona");
            ulozParametry.setString(2, "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n<html>\n<head>\n\t<meta content=\"text/html; charset=UTF-8\" http-equiv=\"content-type\">\n\t<link rel=\"stylesheet\" type=\"text/css\" href=\"#styl#\">\t\n\t<title>#titulek# #nadpis#</title>\t\n</head>\n\n<body>\n<h1>#nadpis#</h1>\n<div style=\"text-align:center;\"><div class=\"textStranky\">#text#</div></div>\n\n<div class=\"strana\">\nStrana: #strana# / #pocet#\n</div>\n\n<table class=\"navigace\">\n<tbody>\n<tr>\n<td style=\"text-align: left;\">\n&nbsp;&nbsp;&nbsp;\n<a href=\"#prvni_soubor#\"> &lt;&lt; Prvn\u00ed</a> |\n<a href=\"#predchozi_soubor#\">&lt; P\u0159edchoz\u00ed</a> |\n<a href=\"#dalsi_soubor#\">Dal\u0161\u00ed &gt;</a> |\n<a href=\"#posledni_soubor#\">Posledn\u00ed &gt;&gt;</a>\n</td>\n<td style=\"text-align: right;\">#combo#&nbsp;&nbsp;&nbsp;</td>\n</tr>\n</tbody>\n</table>\n\n</body>\n</html>");
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "styl");
            ulozParametry.setString(2, "styl.css");
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "stylCSS"); // To s tím obrázkem na pozadí je jen hack kvůli MSIE
            ulozParametry.setString(2, "body {\n    font-family: Verdana, Arial CE, Arial, Helvetica, sans-serif;\n    background: #ded6a3;\n    margin-top: 40px;\n    background-image: url('navigace.gif');\n    background-repeat: repeat-x;\n}\n\nh1 {\n    color: #413f30;\n}\n\n.citace {\n    color: blue;\n    padding-left: 64px;\n    padding-right: 64px;\n    font-style: italic;\n}\n\n.navigace {\n   position: absolute;\n   left: 0px;\n   top: 0px;\n   background: green;\n   background-image: url(navigace.gif);\n   width: 100%;\n   height: 32px;\n   padding: 0px;\n   margin: 0px;\n   border: none;\n}\n\n.navigace td {\n   padding: 0px;\n   margin: 0px;\n}\n\n\n.navigace a {\n    color: black;\n    text-decoration: none;\n}\n\n\n.navigace a:hover {\n    color: black;\n    text-decoration: underline;\n}\n\n.strana {\n    text-align: right;\n    margin-top: 10px;\n}\n\n.titulniStrana {\n    text-align: center;\n    color: #413f30;\n    font-style: italic;\n    font-size: 250%\n}");
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "cesta");
            ulozParametry.setString(2, "/tmp/stranky");
            ulozParametry.executeUpdate();
            
            ulozParametry.setString(1, "nazevSouboru");
            ulozParametry.setString(2, "strana#cislo#.htm");
            ulozParametry.executeUpdate();
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        spravaDB = new javax.swing.JPanel();
        jButton2 = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        ulozitNastaveni = new javax.swing.JButton();
        nacistNastaveni = new javax.swing.JButton();
        napoveda = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        titulek = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        sablona = new javax.swing.JTextArea();
        jPanel6 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        styl = new javax.swing.JTextField();
        jScrollPane4 = new javax.swing.JScrollPane();
        stylCSS = new javax.swing.JTextArea();
        jPanel2 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        nadpis = new javax.swing.JTextField();
        poradi = new javax.swing.JSpinner();
        jScrollPane3 = new javax.swing.JScrollPane();
        text = new javax.swing.JTextArea();
        jScrollPane2 = new javax.swing.JScrollPane();
        dataTabulka = new javax.swing.JTable();
        smazat = new javax.swing.JButton();
        aktualizovat = new javax.swing.JButton();
        vlozit = new javax.swing.JButton();
        nacist = new javax.swing.JButton();
        jToolBar1 = new javax.swing.JToolBar();
        vlozCitat = new javax.swing.JButton();
        vlozLatinu = new javax.swing.JButton();
        vlozOdstavec = new javax.swing.JButton();
        vlozKonecRadku = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        vytorit = new javax.swing.JButton();
        nazevSouboru = new javax.swing.JTextField();
        cesta = new javax.swing.JTextField();

        jButton2.setText("Spr\u00e1vce DB");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        ulozitNastaveni.setText("Ulo\u017eit nastaven\u00ed");
        ulozitNastaveni.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ulozitNastaveniActionPerformed(evt);
            }
        });

        nacistNastaveni.setText("Na\u010d\u00edst nastaven\u00ed");
        nacistNastaveni.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nacistNastaveniActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout spravaDBLayout = new org.jdesktop.layout.GroupLayout(spravaDB);
        spravaDB.setLayout(spravaDBLayout);
        spravaDBLayout.setHorizontalGroup(
            spravaDBLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, spravaDBLayout.createSequentialGroup()
                .addContainerGap()
                .add(spravaDBLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, nacistNastaveni, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(ulozitNastaveni, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 347, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        spravaDBLayout.setVerticalGroup(
            spravaDBLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(spravaDBLayout.createSequentialGroup()
                .addContainerGap()
                .add(spravaDBLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
                    .add(jButton2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(nacistNastaveni)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(ulozitNastaveni)
                .addContainerGap())
        );
        jLabel8.setText("TODO: napsat n\u00e1pov\u011bdu");

        org.jdesktop.layout.GroupLayout napovedaLayout = new org.jdesktop.layout.GroupLayout(napoveda);
        napoveda.setLayout(napovedaLayout);
        napovedaLayout.setHorizontalGroup(
            napovedaLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(napovedaLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 495, Short.MAX_VALUE)
                .addContainerGap())
        );
        napovedaLayout.setVerticalGroup(
            napovedaLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(napovedaLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel8)
                .addContainerGap(354, Short.MAX_VALUE))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Tvorba str\u00e1nek");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                konec(evt);
            }
        });

        jLabel1.setText("Titulek");
        jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel1MouseClicked(evt);
            }
        });

        jLabel2.setText("\u0160ablona");
        jLabel2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel2MouseClicked(evt);
            }
        });

        sablona.setColumns(20);
        sablona.setRows(5);
        jScrollPane1.setViewportView(sablona);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel1)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 435, Short.MAX_VALUE)
                    .add(titulek, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 435, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(titulek, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel2)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 417, Short.MAX_VALUE))
                .addContainerGap())
        );
        jTabbedPane1.addTab("\u0160ablona", new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/raketa.png")), jPanel1);

        jLabel11.setText("Jm\u00e9no");

        jLabel12.setText("CSS styl");

        styl.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                stylActionPerformed(evt);
            }
        });

        stylCSS.setColumns(20);
        stylCSS.setRows(5);
        jScrollPane4.setViewportView(stylCSS);

        org.jdesktop.layout.GroupLayout jPanel6Layout = new org.jdesktop.layout.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel12)
                    .add(jLabel11))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jScrollPane4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 434, Short.MAX_VALUE)
                    .add(styl, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 434, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(styl, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel6Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel12)
                    .add(jScrollPane4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 417, Short.MAX_VALUE))
                .addContainerGap())
        );
        jTabbedPane1.addTab("Styl", new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/styl.png")), jPanel6);

        jLabel3.setText("Nadpis");

        jLabel4.setText("Po\u0159ad\u00ed");

        jLabel5.setText("Text");

        nadpis.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nadpisActionPerformed(evt);
            }
        });

        poradi.setToolTipText("Po\u0159ad\u00ed mus\u00ed b\u00fdt jedine\u010dn\u00e9");

        text.setColumns(20);
        text.setRows(5);
        jScrollPane3.setViewportView(text);

        dataTabulka.setModel(new ModelTabulky());
        jScrollPane2.setViewportView(dataTabulka);

        smazat.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/editdelete.png")));
        smazat.setText("Smazat");
        smazat.setToolTipText("Odstran\u00ed vybranou str\u00e1nku");
        smazat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                smazatActionPerformed(evt);
            }
        });

        aktualizovat.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/aktualizovat.png")));
        aktualizovat.setText("Aktualizovat");
        aktualizovat.setToolTipText("Ulo\u017e\u00ed zm\u011bny na str\u00e1nce");
        aktualizovat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                aktualizovatActionPerformed(evt);
            }
        });

        vlozit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/vlozit.png")));
        vlozit.setText("Vlo\u017eit");
        vlozit.setToolTipText("Vlo\u017e\u00ed novou str\u00e1nku");
        vlozit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vlozitActionPerformed(evt);
            }
        });

        nacist.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/vytvorit.png")));
        nacist.setText("Na\u010d\u00edst");
        nacist.setToolTipText("Pokud tato str\u00e1nka byla u\u017e jednou vygenerov\u00e1na, bude na\u010dten jej\u00ed text ze souboru (v\u010detn\u011b p\u0159\u00edpadn\u00fdch \u00faprav)");
        nacist.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nacistActionPerformed(evt);
            }
        });

        jToolBar1.setFloatable(false);
        vlozCitat.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/format.png")));
        vlozCitat.setText("Cit\u00e1t");
        vlozCitat.setMargin(new java.awt.Insets(2, 14, 2, 25));
        vlozCitat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vlozCitatActionPerformed(evt);
            }
        });

        jToolBar1.add(vlozCitat);

        vlozLatinu.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/format.png")));
        vlozLatinu.setText("Latina");
        vlozLatinu.setMargin(new java.awt.Insets(2, 14, 2, 25));
        vlozLatinu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vlozLatinuActionPerformed(evt);
            }
        });

        jToolBar1.add(vlozLatinu);

        vlozOdstavec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/format.png")));
        vlozOdstavec.setText("Odstavec");
        vlozOdstavec.setMargin(new java.awt.Insets(2, 14, 2, 25));
        vlozOdstavec.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vlozOdstavecActionPerformed(evt);
            }
        });

        jToolBar1.add(vlozOdstavec);

        vlozKonecRadku.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/format.png")));
        vlozKonecRadku.setText("Konec \u0159\u00e1dku");
        vlozKonecRadku.setMargin(new java.awt.Insets(2, 14, 2, 25));
        vlozKonecRadku.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vlozKonecRadkuActionPerformed(evt);
            }
        });

        jToolBar1.add(vlozKonecRadku);

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 477, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                        .add(nacist)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(vlozit)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(aktualizovat)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(smazat))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel3)
                            .add(jLabel4)
                            .add(jLabel5))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(poradi, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE)
                            .add(nadpis, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE)
                            .add(jToolBar1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE)
                            .add(jScrollPane3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jScrollPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 201, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(nadpis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel4)
                    .add(poradi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jToolBar1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jScrollPane3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 124, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(smazat)
                            .add(aktualizovat)
                            .add(vlozit)
                            .add(nacist)))
                    .add(jLabel5))
                .addContainerGap())
        );
        jTabbedPane1.addTab("Data", new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/vlozit.png")), jPanel2);

        jLabel6.setText("Cesta");

        jLabel7.setText("N\u00e1zev soubor\u016f");

        vytorit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/vytvorit.png")));
        vytorit.setText("Vytvo\u0159it!");
        vytorit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                vytoritActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel7)
                            .add(jLabel6))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cesta, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)
                            .add(nazevSouboru, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, vytorit))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(cesta, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(nazevSouboru, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 373, Short.MAX_VALUE)
                .add(vytorit)
                .addContainerGap())
        );
        jTabbedPane1.addTab("Vytvo\u0159it", new javax.swing.ImageIcon(getClass().getResource("/cz/vse/xkucf03/webator/obrazky/vytvorit.png")), jPanel3);

        getContentPane().add(jTabbedPane1, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void vlozCitatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vlozCitatActionPerformed
        text.insert("<div class=\"citace\">", text.getSelectionStart());
        text.insert("</div>", text.getSelectionEnd());
    }//GEN-LAST:event_vlozCitatActionPerformed

    private void vlozLatinuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vlozLatinuActionPerformed
        text.insert("<span class=\"latina\">", text.getSelectionStart());
        text.insert("</span>", text.getSelectionEnd());
    }//GEN-LAST:event_vlozLatinuActionPerformed

    private void vlozOdstavecActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vlozOdstavecActionPerformed
        text.insert("\n<p>\n", text.getSelectionStart());
        text.insert("\n</p>\n", text.getSelectionEnd());
    }//GEN-LAST:event_vlozOdstavecActionPerformed

    private void vlozKonecRadkuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vlozKonecRadkuActionPerformed
        text.insert("\n<br>\n", text.getSelectionStart());
    }//GEN-LAST:event_vlozKonecRadkuActionPerformed
    
    private void nacistActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nacistActionPerformed
        if (dataTabulka.getSelectedRow() != -1) {
            String nazevSouboruS = nazevSouboru.getText();
            String cestaS = cesta.getText();
            if (! cestaS.equals("")) {
                cestaS = cestaS + File.separator;
            }
            
            File soubor = new File(cestaS + nazevSouboruS.replaceAll("#cislo#", String.valueOf(dataTabulka.getSelectedRow() + 1)));
            try {
                
                BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(soubor), "UTF-8"));
                StringBuffer nactenaStranka = new StringBuffer();
                while (br.ready()) {
                    nactenaStranka.append(br.readLine() + "\n");
                }
                
                String cistyText = nactenaStranka.toString().split("<!-- text-zacatek -->")[1].split("<!-- text-konec -->")[0];                              
                String staryText = text.getText();
                text.setText(cistyText);
                
                if (staryText.equals(cistyText)){
                    JOptionPane.showMessageDialog(this, "Stránka byla úspěšně načtena.\nAle její obsah se nezměnil", "Stránka načtena", JOptionPane.INFORMATION_MESSAGE);
                } else {
                    JOptionPane.showMessageDialog(this, "Změněná stránka byla úspěšně načtena.\nPokud jste s jejím obsahem spokojeni, uložte ji", "Stránka načtena", JOptionPane.INFORMATION_MESSAGE);
                }
                
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "Stránku se nepodařilo načíst ze souboru.\n" + e.getLocalizedMessage(), "Chyba načítání", JOptionPane.ERROR_MESSAGE);
            }
        } else {
            JOptionPane.showMessageDialog(this, "Je potřeba v tabulce vybrat stránku, kterou chcete načíst", "Vyberte stránku", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_nacistActionPerformed
    
    private void jLabel1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseClicked
// TODO skrýt servisní menu
        jTabbedPane1.remove(spravaDB);
    }//GEN-LAST:event_jLabel1MouseClicked
    
    private void jLabel2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseClicked
// TODO zobrazit servisní menu
        jTabbedPane1.addTab("Správa DB", spravaDB);
    }//GEN-LAST:event_jLabel2MouseClicked
    
    private void nacistNastaveniActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nacistNastaveniActionPerformed
        nactiParametry();
    }//GEN-LAST:event_nacistNastaveniActionPerformed
    
    private void ulozitNastaveniActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ulozitNastaveniActionPerformed
        ulozParametry();
    }//GEN-LAST:event_ulozitNastaveniActionPerformed
    
    private void stylActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_stylActionPerformed
// TODO add your handling code here:
    }//GEN-LAST:event_stylActionPerformed
    
    private void vytoritActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vytoritActionPerformed
        vytvorStranky();
    }//GEN-LAST:event_vytoritActionPerformed
    
    private void nadpisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nadpisActionPerformed
        
    }//GEN-LAST:event_nadpisActionPerformed
    
    private void smazatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_smazatActionPerformed
        try {
            smazatStranku.setInt(1, ((Integer)poradi.getValue()).intValue());
            smazatStranku.executeUpdate();
            vynulujPole();
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(this, "Stránku se nepodařilo smazat", "Chyba", JOptionPane.ERROR_MESSAGE);
        }
        
        nactiTabulku();
    }//GEN-LAST:event_smazatActionPerformed
    
    private void vlozitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_vlozitActionPerformed
        try {
            vlozitStranku.setInt(1, ((Integer)poradi.getValue()).intValue());
            vlozitStranku.setString(2, nadpis.getText());
            vlozitStranku.setString(3, text.getText());
            vlozitStranku.executeUpdate();
            
            vynulujPole();
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(this, "Pořadí musí být jedinečné číslo. Změňte jeho hodnotu", "Pozor", JOptionPane.WARNING_MESSAGE);
        }
        
        nactiTabulku();
    }//GEN-LAST:event_vlozitActionPerformed
    
    private void aktualizovatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_aktualizovatActionPerformed
        try {
            aktualizovatStranku.setInt(3, ((Integer)poradi.getValue()).intValue());
            aktualizovatStranku.setString(1, nadpis.getText());
            aktualizovatStranku.setString(2, text.getText());
            int zmeneno = aktualizovatStranku.executeUpdate();
            
            if (zmeneno == 1) {
                vynulujPole();
            } else {
                JOptionPane.showMessageDialog(this, "Je potřeba zadat existující pořadí", "Pozor", JOptionPane.WARNING_MESSAGE);
            }
            
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(this, "Stránku se nepodařilo aktualizovat", "Chyba", JOptionPane.ERROR_MESSAGE);
        }
        
        nactiTabulku();
    }//GEN-LAST:event_aktualizovatActionPerformed
    
    private void konec(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_konec
        try {
            
            ulozParametry();
            
            spojeni.commit();
            spojeni.createStatement().execute("SHUTDOWN");
            spojeni.commit();
            spojeni.close();
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }//GEN-LAST:event_konec
    
    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        konec(null);
        setVisible(false);
        org.hsqldb.util.DatabaseManagerSwing.main(new String[0]);
    }//GEN-LAST:event_jButton2ActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new WebatorGUI().setVisible(true);
            }
        });
    }
    
    private void vytvorStranky() {
        setEnabled(false);
        getRootPane().setCursor(new Cursor(Cursor.WAIT_CURSOR));
        
        
        try {
            
            ModelTabulky m = ((ModelTabulky)dataTabulka.getModel());
            
            String stranka = "";
            String sablonaS = sablona.getText();
            String titulekS =  titulek.getText();
            String stylS = styl.getText();
            String nazevSouboruS = nazevSouboru.getText();
            String cestaS = cesta.getText();
            String comboS = vytvorCombo();
            
            if (! cestaS.equals("")) {
                cestaS = cestaS + File.separator;
            }
            
            
            int pocet = m.getRowCount();
            Radka r;
            
            for (int ii = 0; ii < pocet; ii++) {
                int i = ii + 1;
                r = m.getRadka(ii);
                
                stranka = sablonaS;
                
                stranka = stranka.replaceAll("#titulek#", titulekS);
                stranka = stranka.replaceAll("#styl#", stylS);
                stranka = stranka.replaceAll("#combo#", comboS);
                
                
                stranka = stranka.replaceAll("#nadpis#",r.nadpis);
                
                if (sablonaS.indexOf("<!-- text-zacatek -->") == -1) {
                    stranka = stranka.replaceAll("#text#", "<!-- text-zacatek -->" + r.text + "<!-- text-konec -->");
                } else {
                    stranka = stranka.replaceAll("#text#", r.text);
                }
                
                stranka = stranka.replaceAll("#strana#", String.valueOf(i));
                stranka = stranka.replaceAll("#pocet#", String.valueOf(pocet));
                
                
                
                stranka = stranka.replaceAll("#prvni_soubor#", nazevSouboruS.replaceAll("#cislo#", String.valueOf(1)));
                stranka = stranka.replaceAll("#predchozi_soubor#", nazevSouboruS.replaceAll("#cislo#", String.valueOf(Math.max(i - 1, 1))));
                stranka = stranka.replaceAll("#dalsi_soubor#", nazevSouboruS.replaceAll("#cislo#", String.valueOf(Math.min(i + 1, pocet))));
                stranka = stranka.replaceAll("#posledni_soubor#", nazevSouboruS.replaceAll("#cislo#", String.valueOf(pocet)));
                
                
                File soubor = new File(cestaS + nazevSouboruS.replaceAll("#cislo#", String.valueOf(i)));
                
                
                
                
                PrintWriter pw = new PrintWriter(new OutputStreamWriter(new FileOutputStream(soubor), "UTF-8"));
                
                pw.write(stranka);
                pw.close();
                
                
                
            }
            
            
            //Uložíme také styl
            PrintWriter pwStyl = new PrintWriter(new OutputStreamWriter(new FileOutputStream(new File(cestaS + styl.getText())), "UTF-8"));
            
            pwStyl.write(stylCSS.getText());
            pwStyl.close();
            
            JOptionPane.showMessageDialog(this, "Stránky byly úspěšně vytvořeny", "Hotovo", JOptionPane.INFORMATION_MESSAGE);
            
            
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "Při vytváření stránek došlo k chybě:\n" + e.getLocalizedMessage(), "Chyba", JOptionPane.ERROR_MESSAGE);
            e.printStackTrace();
        }
        
        getRootPane().setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
        setEnabled(true);
    }
    
    private String vytvorCombo() {
        ModelTabulky m = ((ModelTabulky)dataTabulka.getModel());
        String nazevSouboruS = nazevSouboru.getText();
        int pocet = m.getRowCount();
        Radka r;
        StringBuffer combo = new StringBuffer();
        combo.append("<select onchange=\"window.location.href = this.options[this.selectedIndex].value\">" +
                "<option value=\"#abc\" selected=\"selected\">Jdi na...</option>" +
                "<option value=\"#abc\">---------</option>");
        
        for (int ii = 0; ii < pocet; ii++) {
            int i = ii + 1;
            r = m.getRadka(ii);
            
            nazevSouboruS.replaceAll("#cislo#", String.valueOf(i));
            //selected=\"selected\"
            combo.append("<option value=\"" + nazevSouboruS.replaceAll("#cislo#", String.valueOf(i)) + "\">" + r.nadpis + "</option>");
        }
        
        combo.append("</select>");
        
        return combo.toString();
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton aktualizovat;
    private javax.swing.JTextField cesta;
    private javax.swing.JTable dataTabulka;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JButton nacist;
    private javax.swing.JButton nacistNastaveni;
    private javax.swing.JTextField nadpis;
    private javax.swing.JPanel napoveda;
    private javax.swing.JTextField nazevSouboru;
    private javax.swing.JSpinner poradi;
    private javax.swing.JTextArea sablona;
    private javax.swing.JButton smazat;
    private javax.swing.JPanel spravaDB;
    private javax.swing.JTextField styl;
    private javax.swing.JTextArea stylCSS;
    private javax.swing.JTextArea text;
    private javax.swing.JTextField titulek;
    private javax.swing.JButton ulozitNastaveni;
    private javax.swing.JButton vlozCitat;
    private javax.swing.JButton vlozKonecRadku;
    private javax.swing.JButton vlozLatinu;
    private javax.swing.JButton vlozOdstavec;
    private javax.swing.JButton vlozit;
    private javax.swing.JButton vytorit;
    // End of variables declaration//GEN-END:variables
    
}
